UnitOfMeasureConversionManager Class Reference

repository of conversion factors between units of measure More...

`#include <ql/experimental/commodities/unitofmeasureconversionmanager.hpp>`

Inheritance diagram for UnitOfMeasureConversionManager:
[legend]

## Public Member Functions

UnitOfMeasureConversion | lookup (const CommodityType &commodityType, const UnitOfMeasure &, const UnitOfMeasure &, UnitOfMeasureConversion::Type type=UnitOfMeasureConversion::Derived) const
void | add (const UnitOfMeasureConversion &)
void | clear ()

## Friends

class | Singleton< UnitOfMeasureConversionManager >

## Additional Inherited Members

Static Public Member Functions inherited from Singleton< T >
static T & | instance ()
| access to the unique instance

## Detailed Description

repository of conversion factors between units of measure

Tests:
  lookup of direct unit of measure conversion is tested.